{
  "charts": [
    {
      "copySelectionFromScript": true,
      "def": {
        "animationDimension": [],
        "animationFrameDuration": 3000,
        "animationRepeat": true,
        "axis1LogScale": false,
        "axis2LogScale": false,
        "boxplotBreakdownDim": [],
        "boxplotValue": [],
        "bubblesOptions": {
          "defaultRadius": 5.0,
          "singleShape": "FILLED_CIRCLE"
        },
        "chartHeight": 200,
        "colorMeasure": [],
        "colorOptions": {
          "ccScaleMode": "NORMAL",
          "colorPalette": "default",
          "customColors": {},
          "customPalette": {
            "colors": [],
            "fixedValues": false,
            "id": "__dku_custom__",
            "name": "Custom Palette",
            "values": []
          },
          "heatDensityMapIntensity": 0.5,
          "heatDensityMapRadius": 0.5,
          "numQuantizeSteps": 5,
          "paletteMiddleValue": 0.0,
          "paletteType": "CONTINUOUS",
          "quantizationMode": "NONE",
          "singleColor": "#2678B1",
          "transparency": 0.75
        },
        "disableSafetyLimits": false,
        "displayEchart": false,
        "displayXAxis": true,
        "displayYAxis": true,
        "facetDimension": [],
        "fillOpacity": 0.6,
        "genericDimension0": [],
        "genericDimension1": [],
        "genericMeasures": [],
        "geoLayers": [
          {
            "colorOptions": {
              "ccScaleMode": "NORMAL",
              "colorPalette": "default",
              "customColors": {},
              "customPalette": {
                "colors": [],
                "fixedValues": false,
                "id": "__dku_custom__",
                "name": "Custom Palette",
                "values": []
              },
              "heatDensityMapIntensity": 0.5,
              "heatDensityMapRadius": 0.5,
              "numQuantizeSteps": 5,
              "paletteMiddleValue": 0.0,
              "paletteType": "CONTINUOUS",
              "quantizationMode": "NONE",
              "singleColor": "#2678B1",
              "transparency": 0.75
            },
            "geometry": [],
            "uaColor": []
          }
        ],
        "geometry": [],
        "groupDimension": [],
        "hexbinNumber": 20,
        "hexbinRadius": 20,
        "hexbinRadiusMode": "NUM_HEXAGONS",
        "includeZero": true,
        "legendPlacement": "OUTER_RIGHT",
        "mapGridOptions": {
          "gridLatDeg": 0.6,
          "gridLonDeg": 0.6
        },
        "mapOptions": {
          "lockSquareGrid": false,
          "tilesLayer": "cartodb-positron"
        },
        "multiTooltips": false,
        "name": "New chart",
        "pieOptions": {
          "donutHoleSize": 54.0
        },
        "pivotDisplayTotals": {
          "grandTotal": {
            "column": true,
            "row": true
          },
          "subTotals": {
            "columns": true,
            "rows": true
          }
        },
        "pivotMeasureDisplayMode": "ROWS",
        "scatterOptions": {
          "equalScales": false,
          "identityLine": false
        },
        "showInChartLabels": true,
        "showInChartValues": false,
        "showLegend": true,
        "showXAxis": false,
        "showXAxisLabel": true,
        "showYAxisLabel": true,
        "singleXAxis": true,
        "sizeMeasure": [],
        "smoothing": true,
        "strokeWidth": 1,
        "tooltipMeasures": [],
        "type": "grouped_columns",
        "uaColor": [],
        "uaShape": [],
        "uaSize": [],
        "uaTooltip": [],
        "uaXDimension": [],
        "uaYDimension": [],
        "useLiveProcessingIfAvailable": true,
        "userEditedName": false,
        "variant": "normal",
        "xAxisMode": "NORMAL",
        "xAxisNumberFormattingOptions": {
          "multiplier": "Auto",
          "prefix": "",
          "suffix": ""
        },
        "xCustomExtent": {
          "editMode": "AUTO",
          "manualExtent": [
            null,
            null
          ]
        },
        "xDimension": [],
        "xMeasure": [],
        "yAxisMode": "NORMAL",
        "yAxisNumberFormattingOptions": {
          "multiplier": "Auto",
          "prefix": "",
          "suffix": ""
        },
        "yCustomExtent": {
          "editMode": "AUTO",
          "manualExtent": [
            null,
            null
          ]
        },
        "yDimension": [],
        "yMeasure": []
      },
      "engineType": "LINO",
      "maxDataBytes": 157286400
    }
  ],
  "interactiveSearch": {
    "savedQueries": []
  },
  "script": {
    "analysisColumnData": {},
    "coloring": {
      "individualColumns": [],
      "scheme": "MEANING_AND_STATUS",
      "valueColoringMode": "HASH"
    },
    "columnWidthsByName": {
      "DateTime": 183,
      "DateTime_min": 183,
      "Press": 100,
      "campaignID": 120,
      "defect_rate": 100,
      "prediction_count": 135,
      "prediction_sum": 120
    },
    "columnsSelection": {
      "mode": "ALL"
    },
    "explorationFilters": [
      {
        "active": true,
        "alphanumFilter": {
          "column": "Press",
          "params": {
            "mode": "full_string",
            "normalization": "exact"
          },
          "selectedValues": [],
          "type": "alphanum"
        },
        "column": "Press",
        "currentMode": "FACET",
        "facet": {
          "column": "Press",
          "columnType": "ALPHANUM",
          "currentMode": "ALPHANUM",
          "selectedValues": {
            "W06": true
          },
          "sort": "count",
          "type": "facet"
        },
        "type": "columnFilter",
        "validityFilter": {
          "column": "Press",
          "params": {
            "empty": true,
            "nok": true,
            "ok": true,
            "type": "Text"
          },
          "type": "validity"
        }
      }
    ],
    "explorationSampling": {
      "_refreshTrigger": 0,
      "autoRefreshSample": false,
      "selection": {
        "filter": {
          "distinct": false,
          "enabled": false
        },
        "latestPartitionsN": 1,
        "maxReadUncompressedBytes": -1,
        "maxRecords": 10000,
        "maxRecordsForDisplay": -1,
        "maxStoredBytes": 1048576000,
        "ordering": {
          "enabled": false,
          "rules": []
        },
        "partitionSelectionMethod": "ALL",
        "samplingMethod": "HEAD_SEQUENTIAL",
        "targetRatio": 0.02,
        "timeout": -1,
        "withinFirstN": -1
      }
    },
    "exploreUIParams": {
      "autoRefresh": true
    },
    "globalSearchQuery": "",
    "maxProcessedMemTableBytes": -1,
    "previewMode": "ALL_ROWS",
    "sorting": [
      {
        "ascending": false,
        "column": "DateTime_min"
      }
    ],
    "steps": [],
    "vizSampling": {
      "_refreshTrigger": 0,
      "autoRefreshSample": false,
      "selection": {
        "filter": {
          "distinct": false,
          "enabled": false
        },
        "latestPartitionsN": 1,
        "maxReadUncompressedBytes": -1,
        "maxRecords": -1,
        "ordering": {
          "enabled": false,
          "rules": []
        },
        "partitionSelectionMethod": "ALL",
        "samplingMethod": "FULL",
        "targetRatio": 0.02,
        "useMemTable": false,
        "withinFirstN": -1
      }
    }
  }
}